iOS devices

We support all iPhone models that run on iOS 13 and above. This means all models from iphone 6s upwards that have been updated to run on iOS 13 or above will work with our iOS mobile application. iPads cannot be used unfortunately.

Android devices

The Android operating systems we support are Android 6.0 (Marshmallow) and above.

There are a very small number of Android devices that operate using Bluetooth 5.1. These are unfortunately incompatible with our keyless technology and unable to be used for rentals. The list below contains some of the common manufacturers that use Bluetooth 5.1 however this list is not comprehensive.

We kindly ask that you check whether or not your phone runs using Bluetooth 5.1 as we don't want you to run into any issues on future rentals. To do so, please follow the steps below:

1. Click here to visit GSMArena's website

2. Search for your phone using the search bar

3. Scroll down to see the Bluetooth version the phone uses

Common phones with Bluetooth 5.1:

  • Alcatel Pixi

  • Huawei Honor 10

  • LG LM-G900 (Android 30) > version with BLE v5.1 chip (North America)

  • LG LM-V600 (Android 29) > version with BLE v5.1 chip (North America)

  • Motorola Moto G7 (All variants)

  • Motorola Moto G8 (All variants)

  • Motorola Moto G9 (All variants)

  • Motorola Moto G30 (All variants)

  • Nokia 5.4

  • OnePlus 8 (All variants)

  • One Plus Nord 100

  • Oppo Find X2

  • Oppo A53

  • RealMe X3

  • RealMe X50

  • Redmi K20

  • Redmi Note (All variants)

  • Reno4 (All Variants)

  • Xiaomi Mi 9T (All variants)

If you are a renter on our platform and your device uses Bluetooth 5.1, it will not be possible to rent with your device - a compatible phone will need to be used instead.

Did this answer your question?